#!/bin/sh
#file: /etc/init.d/usb_gadget.sh
PS10HOME=/opt/Mahr/ps10
FLAGFILE=/tmp/usb_gadget_started

if [ "_$1" == "_start" ]; then
	if [ -e $FLAGFILE ]; then
		logger "init.d/usb_gadget.sh already started"
		exit 0
	fi
	${PS10HOME}/usb_gadget.sh unbind
	${PS10HOME}/ps10tool -D -v
	${PS10HOME}/usb_gadget.sh bind
	${PS10HOME}/usb_gadget.sh start
	touch $FLAGFILE

elif [ "_$1" == "_stop" ]; then
	${PS10HOME}/mass_storage.sh off
        ${PS10HOME}/usb_gadget.sh stop
        ${PS10HOME}/usb_gadget.sh unbind
	rm -f $FLAGFILE

else
	echo "Usage: $0 {start|stop}"
fi

